Subject: Re: x86/non-x86: percpu, node ids, apic ids x86.git fixup

From: Olof Johansson <[email-masked]>
Date: Wed, 30 Jan 2008 13:13:02 -0600

On Wed, Jan 30, 2008 at 07:49:20PM +0100, Ingo Molnar wrote:
> 
> * Luck, Tony <[email-masked]> wrote:
> 
> > > Could you check the patch below? With this applied to latest -git, 
> > > ia64 buils fine for me in a cross-compiling environment. (but i dont 
> > > know whether it boots ...)
> > 
> > Uni-processor build still fails with this patch (config is 
> > arch/ia64/configs/tiger_defconfig with CONFIG_SMP switched from =y to 
> > =n).
> 
> could you try the full patchset that Travis has just sent and which i've 
> put into x86.git, you can pull it from:

Looks ok for powerpc so far, I haven't gotten through all defconfigs yet
but the first ones that failed before build now. pasemi_defconfig boots
as well.

-Olof